libzypp 17.37.10

zyppng::detail::make_statewithtransition_set_helper< VariantSoFar, std::variant< HeadState >, Transitions... > Struct Template Reference

`#include <zypp-core/zyppng/base/statemachine.h>`

## Public Types
using | FullStateType = typename make_statewithtransition<HeadState, Transitions...>::Type
using | Type = typename add_type_to_collection< std::variant, FullStateType, VariantSoFar, !VariantHasType<VariantSoFar, FullStateType >()>::Type

## Detailed Description

template<typename VariantSoFar, typename HeadState, typename ... Transitions>
struct zyppng::detail::make_statewithtransition_set_helper< VariantSoFar, std::variant< HeadState >, Transitions... >

Definition at line 192 of file statemachine.h.

## Member Typedef Documentation

## ◆ FullStateType

template<typename VariantSoFar, typename HeadState, typename ... Transitions>

using zyppng::detail::make_statewithtransition_set_helper< VariantSoFar, std::variant< HeadState >, Transitions... >::FullStateType = typename make_statewithtransition<HeadState, Transitions...>::Type

Definition at line 193 of file statemachine.h.

## ◆ Type

template<typename VariantSoFar, typename HeadState, typename ... Transitions>

using zyppng::detail::make_statewithtransition_set_helper< VariantSoFar, std::variant< HeadState >, Transitions... >::Type = typename add_type_to_collection< std::variant, FullStateType, VariantSoFar, !VariantHasType<VariantSoFar, FullStateType >()>::Type

Definition at line 194 of file statemachine.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/base/statemachine.h